﻿@model NatjecajViewModel

@{
    ViewData["Title"] = "Izmjena natječaja " + Model.EvidencijskiBr;
}

<div class="container">
    <form id="natjecaj_form" method="post" asp-action="EditDetail"
          asp-route-EvidencijskiBr="@Model.EvidencijskiBr"
          asp-route-page="@ViewBag.Page"
          asp-route-sort="@ViewBag.Sort"
          asp-route-ascending="@ViewBag.Ascending">

        <input asp-for="EvidencijskiBr" type="hidden" />
        <div asp-validation-summary="All" class="form-group row"></div>

        <div class="form-group row">
            <label asp-for="Naziv" class="col-sm-2 col-form-label">Naziv natječaja</label>
            <div class="col-sm-8">
                <input class="form-control" asp-for="Naziv" />
            </div>

            <div class="col-sm-2" style="text-align:right">
                <button id="save" type="submit" class="btn btn-sm btn-primary save" title="Spremi">
                    <i class="fas fa-save"></i>
                </button>
                <a class="btn btn-sm btn-primary cancel"
                   asp-action="EditDetail"
                   asp-route-EvidencijskiBr="@Model.EvidencijskiBr"
                   asp-route-page="@ViewBag.Page"
                   asp-route-sort="@ViewBag.Sort"
                   asp-route-ascending="@ViewBag.Ascending"
                   title="Osvježi">
                    <i class="fas fa-sync-alt"></i>
                </a>
                <a class="btn btn-sm btn-primary cancel"
                   asp-action="Index"
                   asp-route-page="@ViewBag.Page"
                   asp-route-sort="@ViewBag.Sort"
                   asp-route-ascending="@ViewBag.Ascending"
                   title="Odustani">
                    <i class="fas fa-undo-alt"></i>
                </a>
            </div>
        </div>

        <div class="form-group row">
            <label asp-for="NazivStavke" class="col-sm-2 col-form-label">Naziv stavke nabave</label>
            <div class="col-sm-6">
                <input class="form-control" asp-for="NazivStavke" />
            </div>

            <label asp-for="RokZaDostavu" class="col-sm-1 col-form-label">Rok za dostavu</label>
            <div class="col-sm-3">
                <input class="form-control" asp-for="RokZaDostavu" />
            </div>

        </div>

        <div class="form-group row">
            <label asp-for="TrajanjeUgovora" class="col-sm-1 col-form-label">Trajanje ugovora</label>
            <div class="col-sm-2">
                <input class="form-control" asp-for="TrajanjeUgovora" />
            </div>
            <label asp-for="NazivUgovora" class="col-sm-2 col-form-label">Naziv ugovora</label>
            <div class="col-sm-3">
                <input type="hidden" data-autocomplete-placeholder="vrstaugovora" />
                <input asp-for="NazivUgovora" class="form-control" data-autocomplete="vrstaugovora" />
            </div>
            <label asp-for="SlanjeElPostom" class="col-sm-3 col-form-label">Slanje elektroničkom poštom</label>
            <div class="col-sm-1">
                <input class="form-control" asp-for="SlanjeElPostom" />
            </div>

        </div>

        <div class="form-group row">
            <label asp-for="PopisPotrebnihDokumenata" class="col-sm-3 col-form-label">Popis potrebnih dokumenata</label>
            <div class="col-sm-9">
                <input class="form-control" asp-for="PopisPotrebnihDokumenata" />
            </div>
        </div>

        <div class="form-group row">
            <label asp-for="NazivDjelatnosti" class="col-sm-2 col-form-label">Naziv djelatnosti</label>
            <div class="col-sm-4">
                <input type="hidden" data-autocomplete-placeholder="djelatnost" />

                <input asp-for="NazivDjelatnosti" class="form-control" data-autocomplete="djelatnost" />
            </div>
            <div style="text-align: right"
                    <label asp-for="JePonisten" class="col-sm-5 col-form-label">Poništiti natječaj?</label>
                </div>
            <div class="col-sm-1">
                <input class="form-control" asp-for="JePonisten" />
            </div>
        </div>

        <div class="col-sm-10">
            <partial name="Stavke" model="Model.NatjecajStrucnjaci" />
        </div>
    </form>


    <div class="row justify-content-sm-center">
        <div class="col-sm-1 text-right">
            <a asp-action="EditDetail"
               asp-route-EvidencijskiBr="@Model.EvidencijskiBr"
               asp-route-page="@ViewBag.Page"
               asp-route-sort="@ViewBag.Sort"
               asp-route-ascending="@ViewBag.Ascending"
               class="btn btn-sm" title="Ažuriraj" target="_blank"><i class="fas fa-edit"></i></a>
        </div>

        <div class="col-sm-1 text-center">
            <form asp-action="Delete" method="post"
                  asp-route-page="@ViewBag.Page"
                  asp-route-sort="@ViewBag.Sort"
                  asp-route-ascending="@ViewBag.Ascending">
                <input type="hidden" name="Oib" value="@Model.EvidencijskiBr" />
                <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                    <i class="fas fa-trash-alt"></i>
                </button>
            </form>
        </div>

        <div class="col-sm-1 text-left">
            <a asp-action="Index"
               asp-route-page="@ViewBag.Page"
               asp-route-sort="@ViewBag.Sort"
               asp-route-ascending="@ViewBag.Ascending"
               class="btn btn-sm" title="Povratak na popis natječaja"><i class="fas fa-undo-alt"></i></a>
        </div>
    </div>

    <partial name="NovaStavka" />

    @section styles{
        <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
    }

    @section scripts{
        <script src="~/lib/jqueryui/jquery-ui.js"></script>
        <script src="~/js/autocomplete.js" asp-append-version="true"></script>
    }
